package cn.stylefeng.team.portal.modular.management.service;

import cn.stylefeng.team.portal.modular.management.entity.PortalAppLinkCategory;
import cn.stylefeng.team.portal.modular.management.pojo.request.PortalAppLinkCategoryRequest;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;
import java.util.Map;

public interface PortalAppLinkCategoryService extends IService<PortalAppLinkCategory> {

    void add(PortalAppLinkCategoryRequest portalAppLinkCategoryRequest);

    void del(PortalAppLinkCategoryRequest portalAppLinkCategoryRequest);

    void batchDelete(PortalAppLinkCategoryRequest portalAppLinkCategoryRequest);

    void edit(PortalAppLinkCategoryRequest portalAppLinkCategoryRequest);

    PortalAppLinkCategory detail(PortalAppLinkCategoryRequest portalAppLinkCategoryRequest);

    List<PortalAppLinkCategory> findList(PortalAppLinkCategoryRequest portalAppLinkCategoryRequest);

    Map<Long, String> getAppLinkCategoryNameMap(List<Long> categoryIdList);

}
